export default {
    data() {
        return {
            caseStatusList: [
                {
                    value: 'WAIT',
                    label: '最新报修'
                },
                {
                    value: 'REPAIR',
                    label: '待处理'
                },
                {
                    value: 'REPAIRED',
                    label: '已处理'
                }
            ]
        };
    },
    methods: {
        getStatus(label) {
            if (label) {
                return (
                    [...this.caseStatusList].find(item => {
                        return item.label === label;
                    }) || {
                        value: ''
                    }
                ).value;
            } else {
                return '';
            }
        }
    }
};
